Bug 1132876 - Rpath issue with cogl
Summary: Rpath issue with cogl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cogl
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1132837
TreeView+ depends on / blocked
 
Reported: 2014-08-22 08:31 UTC by Nicolas Chauvet (kwizart)
Modified: 2014-08-30 03:56 UTC (History)
2 users (show)

Fixed In Version: cogl-1.16.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-30 03:56:00 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2014-08-22 08:31:31 UTC
Description of problem: There is an rpath in cogl that create issue with libGL application (such virt-manager and others)


Version-Release number of selected component (if applicable):
experienced with cogl in f20
cogl-1.16.0-2.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. build cogl
2. chrpath -l /usr/lib64/libcogl-pango.so.12.1.1
/usr/lib64/libcogl-pango.so.12.1.1: RPATH=/usr/lib64


Actual results:
There is a rpath in a standard location (/usr/lib64 in x86_64)

Expected results:


Additional info:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7438152
cogl in el7 doesn't have an rpath
cogl-1.14.0-5.1.el7.x86_64

Comment 1 Nicolas Chauvet (kwizart) 2014-08-22 09:32:35 UTC
Oups, got the wrong branch for f20:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7438324

Comment 2 Nicolas Chauvet (kwizart) 2014-08-22 09:36:05 UTC
and with the latest bugfix:
/srv/workspace/fedora/cogl/cogl-1.16.2-1.fc20.src.rpm

Comment 3 Kalev Lember 2014-08-22 10:23:40 UTC
Thanks, fixed in http://pkgs.fedoraproject.org/cgit/cogl.git/commit/?id=487559a84b53d6f8e2d429fd6d4c81957c0a06d9 and new builds are under way.

Comment 4 Nicolas Chauvet (kwizart) 2014-08-22 10:28:28 UTC
Thx, btw there is a 1.16.2 bugfix that would merge the bigendian fix for f20.
Would you consider it.

Comment 5 Fedora Update System 2014-08-22 10:36:26 UTC
cogl-1.16.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cogl-1.16.0-3.fc20

Comment 6 Fedora Update System 2014-08-23 01:57:24 UTC
Package cogl-1.16.0-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cogl-1.16.0-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9685/cogl-1.16.0-3.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-08-30 03:56:00 UTC
cogl-1.16.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.